Page MenuHomePhabricator

(codfw):rack/setup/install db213[2-5]
Closed, ResolvedPublic

Description

This task will track the racking/setup/installation of db213[2-5] ordered on task T234608.

Racking Proposal:
db2132.codfw.wmnet: Anywhere on row A (not same rack as db2133.codfw.wmnet)
db2133.codfw.wmnet: Anywhere on row A (not same rack as db2132.codfw.wmnet)
db2134.codfw.wmnet: Anywhere on row B
db2135.codfw.wmnet: Anywhere on row C

db2132: ge-5/0/1

  • - receive in system on procurement task T234608
  • - rack system with proposed racking plan (see above) & update netbox (include all system info plus location, state of planned)
  • - bios/drac/serial setup/testing
  • - mgmt dns entries added for both asset tag and hostname
  • - Partitioning/Raid: HW RAID 10 Stripe 256k
  • - network port setup (description, enable, vlan)
    • end on-site specific steps
  • - production dns entries added
  • - operations/puppet update (install_server at minimum, other files if possible)
  • - OS installation
  • - puppet accept/initial run (with role:spare)
  • - host state in netbox set to staged
  • - handoff for service implementation
  • - service implementer changes from 'staged' status to 'active' status in netbox'

db2133: ge-6/0/10

  • - receive in system on procurement task T234608
  • - rack system with proposed racking plan (see above) & update netbox (include all system info plus location, state of planned)
  • - bios/drac/serial setup/testing
  • - mgmt dns entries added for both asset tag and hostname
  • - Partitioning/Raid: HW RAID 10 Stripe 256k
  • - network port setup (description, enable, vlan)
    • end on-site specific steps
  • - production dns entries added
  • - operations/puppet update (install_server at minimum, other files if possible)
  • - OS installation
  • - puppet accept/initial run (with role:spare)
  • - host state in netbox set to staged
  • - handoff for service implementation
  • - service implementer changes from 'staged' status to 'active' status in netbox'

db2134: ge-6/0/5

  • - receive in system on procurement task T234608
  • - rack system with proposed racking plan (see above) & update netbox (include all system info plus location, state of planned)
  • - bios/drac/serial setup/testing
  • - mgmt dns entries added for both asset tag and hostname
  • - Partitioning/Raid: HW RAID 10 Stripe 256k
  • - network port setup (description, enable, vlan)
    • end on-site specific steps
  • - production dns entries added
  • - operations/puppet update (install_server at minimum, other files if possible)
  • - OS installation
  • - puppet accept/initial run (with role:spare)
  • - host state in netbox set to staged
  • - handoff for service implementation
  • - service implementer changes from 'staged' status to 'active' status in netbox'

db2135: ge-6/0/3

  • - receive in system on procurement task T234608
  • - rack system with proposed racking plan (see above) & update netbox (include all system info plus location, state of planned)
  • - bios/drac/serial setup/testing
  • - mgmt dns entries added for both asset tag and hostname
  • - Partitioning/Raid: HW RAID 10 Stripe 256k
  • - network port setup (description, enable, vlan)
    • end on-site specific steps
  • - production dns entries added
  • - operations/puppet update (install_server at minimum, other files if possible)
  • - OS installation
  • - puppet accept/initial run (with role:spare)
  • - host state in netbox set to staged
  • - handoff for service implementation
  • - service implementer changes from 'staged' status to 'active' status in netbox'

Event Timeline

Papaul created this task.Nov 8 2019, 12:09 AM
Restricted Application added a project: Operations. · View Herald TranscriptNov 8 2019, 12:09 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Papaul triaged this task as High priority.Nov 8 2019, 12:10 AM
Papaul moved this task from Backlog to Racking Tasks on the ops-codfw board.
jcrespo added a comment.EditedNov 8 2019, 8:38 AM

@Papaul Yes, the rack proposal seems ok.
@Marostegui Let's consider installing buster on new hosts starting now, even if that means installing MariaDB 10.1 for now to prevent extra work later.

@Papaul Yes, the rack proposal seems ok.
@Marostegui Let's consider installing buster on new hosts starting now, even if that means installing MariaDB 10.1 for now to prevent extra work later.

You mean 10.3?

I really meant 10.1, as a stop-gap measure until a final decision for database on buster is done, but to prevent a second reimage later on (upgrading just the package or copying it from other host would be just easier). I would wish we don't reimage any new servers into stretch, if we can avoid it (just a suggestion).

I really meant 10.1, as a stop-gap measure until a final decision for database on buster is done, but to prevent a second reimage later on (upgrading just the package or copying it from other host would be just easier). I would wish we don't reimage any new servers into stretch, if we can avoid it (just a suggestion).

Ah that makes more sense (using 10.1) I thought by default our Buster installations shipped 10.3 and hence my question to be sure :-)
Buster + 10.1 makes total sense :)

@Papaul remember that I already included those hosts into into their correct partman recipe and spare role for now: https://gerrit.wikimedia.org/r/#/c/operations/puppet/+/543748/ and https://gerrit.wikimedia.org/r/#/c/operations/puppet/+/542005/

So, any package would be cool to me- I just would like to avoid you extra work for an extra reimage.

Papaul updated the task description. (Show Details)Nov 12 2019, 4:21 PM

@Papaul reminder for when you set up the puppet DHCP entries: make sure to add at the end of the host entry so the hosts get installed with Buster:

option pxelinux.pathprefix "http://apt.wikimedia.org/tftpboot/buster-installer/";

Thanks!

Change 550517 had a related patch set uploaded (by Papaul; owner: Papaul):
[operations/dns@master] DNS: Add mgmt and production DNS for db213[2-5]

https://gerrit.wikimedia.org/r/550517

Papaul updated the task description. (Show Details)Nov 12 2019, 5:43 PM

Change 550554 had a related patch set uploaded (by Papaul; owner: Papaul):
[operations/puppet@production] DHCP: Add MAC address for db213[2-5]

https://gerrit.wikimedia.org/r/550554

papaul@asw-a-codfw# show | compare 
[edit interfaces interface-range vlan-private1-a-codfw]
     member xe-7/0/9 { ... }
+    member ge-5/0/1;
[edit interfaces interface-range disabled]
-    member ge-5/0/1;
[edit interfaces]
+   ge-5/0/1 {
+       description db2132;
+   }

papaul@asw-a-codfw# ...descriptions | match db2132                  
ge-5/0/1        up    down db2132
papaul@asw-a-codfw# show | compare 
[edit interfaces interface-range vlan-private1-a-codfw]
     member ge-5/0/1 { ... }
+    member ge-6/0/10;
[edit interfaces interface-range disabled]
-    member ge-6/0/10;
[edit interfaces ge-6/0/10]
+   description db2133;
papaul@asw-a-codfw# ...nterfaces descriptions | match ge-6/0/10    
ge-6/0/10       up    down db2133
apaul@asw-b-codfw# show | compare 
[edit interfaces interface-range vlan-private1-b-codfw]
     member xe-4/0/4 { ... }
+    member ge-6/0/5;
[edit interfaces interface-range disabled]
-    member ge-6/0/5;
[edit interfaces]
+   ge-6/0/5 {
+       description db2134;
+   }

papaul@asw-b-codfw# ...descriptions | match ge-6/0/5                 
ge-6/0/5        up    up   db2134
papaul@asw-c-codfw# show | compare 
[edit interfaces interface-range vlan-private1-c-codfw]
     member xe-7/0/9 { ... }
+    member ge-6/0/3;
[edit interfaces interface-range disabled]
-    member ge-6/0/3;
[edit interfaces]
+   ge-6/0/3 {
+       description db2135;
+   }

papaul@asw-c-codfw# ...descriptions | match ge-6/0/3                 
ge-6/0/3        up    down db2135
Papaul updated the task description. (Show Details)Nov 12 2019, 10:35 PM

Change 550554 merged by Papaul:
[operations/puppet@production] DHCP: Add MAC address for db213[2-5]

https://gerrit.wikimedia.org/r/550554

Change 550517 merged by Papaul:
[operations/dns@master] DNS: Add mgmt and production DNS for db213[2-5]

https://gerrit.wikimedia.org/r/550517

Papaul updated the task description. (Show Details)Nov 13 2019, 12:04 AM
Papaul updated the task description. (Show Details)Nov 13 2019, 12:37 AM

@Marostegui @jcrespo please fell free to take over the task.

Thanks.

Marostegui closed this task as Resolved.Nov 13 2019, 6:53 AM
Marostegui updated the task description. (Show Details)

Thanks @Papaul - the hosts look good, I will create another task to productionize them
Thanks!